cURL
curl --request POST \
--url https://narrative.agent.heisenberg.so/api/v2/semantic/retrieve/parameterized \
--header 'Authorization: Bearer YOUR_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"agent_id": 565,
"params": {
"ticker": "KXSOL15M-26MAR180800-00",
"event_ticker": "KXSOL15M-26MAR180800",
"title": "SOL price",
"status": "finalized",
"close_time_min": "1773589812",
"close_time_max": "1774021812"
},
"pagination": { "limit": 10, "offset": 0 },
"formatter_config": { "format_type": "raw" }
}'import requests
response = requests.post(
"https://narrative.agent.heisenberg.so/api/v2/semantic/retrieve/parameterized",
headers={"Authorization": "Bearer YOUR_TOKEN"},
json={
"agent_id": 565,
"params": {
"ticker": "KXSOL15M-26MAR180800-00",
"event_ticker": "KXSOL15M-26MAR180800",
"title": "SOL price",
"status": "finalized",
"close_time_min": "1773589812",
"close_time_max": "1774021812",
},
"pagination": {"limit": 10, "offset": 0},
"formatter_config": {"format_type": "raw"},
},
)
print(response.json())const response = await fetch(
"https://narrative.agent.heisenberg.so/api/v2/semantic/retrieve/parameterized",
{
method: "POST",
headers: {
Authorization: "Bearer YOUR_TOKEN",
"Content-Type": "application/json",
},
body: JSON.stringify({
agent_id: 565,
params: {
ticker: "KXSOL15M-26MAR180800-00",
event_ticker: "KXSOL15M-26MAR180800",
title: "SOL price",
status: "finalized",
close_time_min: "1773589812",
close_time_max: "1774021812",
},
pagination: { limit: 10, offset: 0 },
formatter_config: { format_type: "raw" },
}),
}
);
const data = await response.json();{
"timestamp": "<string>",
"params": {
"ticker": "<string>",
"event_ticker": "<string>",
"title": "<string>",
"status": "<string>",
"close_time_min": "<string>",
"close_time_max": "<string>"
},
"pagination": {
"limit": 123,
"offset": 123,
"has_more": true
},
"data": {
"results": [
{}
]
},
"request_id": "<string>"
}Kalshi
Kalshi Markets
Search markets on Kalshi using different filters including ticker, status, volume, and etc.
POST
/
api
/
v2
/
semantic
/
retrieve
/
parameterized
cURL
curl --request POST \
--url https://narrative.agent.heisenberg.so/api/v2/semantic/retrieve/parameterized \
--header 'Authorization: Bearer YOUR_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"agent_id": 565,
"params": {
"ticker": "KXSOL15M-26MAR180800-00",
"event_ticker": "KXSOL15M-26MAR180800",
"title": "SOL price",
"status": "finalized",
"close_time_min": "1773589812",
"close_time_max": "1774021812"
},
"pagination": { "limit": 10, "offset": 0 },
"formatter_config": { "format_type": "raw" }
}'import requests
response = requests.post(
"https://narrative.agent.heisenberg.so/api/v2/semantic/retrieve/parameterized",
headers={"Authorization": "Bearer YOUR_TOKEN"},
json={
"agent_id": 565,
"params": {
"ticker": "KXSOL15M-26MAR180800-00",
"event_ticker": "KXSOL15M-26MAR180800",
"title": "SOL price",
"status": "finalized",
"close_time_min": "1773589812",
"close_time_max": "1774021812",
},
"pagination": {"limit": 10, "offset": 0},
"formatter_config": {"format_type": "raw"},
},
)
print(response.json())const response = await fetch(
"https://narrative.agent.heisenberg.so/api/v2/semantic/retrieve/parameterized",
{
method: "POST",
headers: {
Authorization: "Bearer YOUR_TOKEN",
"Content-Type": "application/json",
},
body: JSON.stringify({
agent_id: 565,
params: {
ticker: "KXSOL15M-26MAR180800-00",
event_ticker: "KXSOL15M-26MAR180800",
title: "SOL price",
status: "finalized",
close_time_min: "1773589812",
close_time_max: "1774021812",
},
pagination: { limit: 10, offset: 0 },
formatter_config: { format_type: "raw" },
}),
}
);
const data = await response.json();{
"timestamp": "<string>",
"params": {
"ticker": "<string>",
"event_ticker": "<string>",
"title": "<string>",
"status": "<string>",
"close_time_min": "<string>",
"close_time_max": "<string>"
},
"pagination": {
"limit": 123,
"offset": 123,
"has_more": true
},
"data": {
"results": [
{}
]
},
"request_id": "<string>"
}Platform: Kalshi
Endpoint:
Authentication: Bearer token
Endpoint:
POST /v2/semantic/retrieve/parameterizedAuthentication: Bearer token
Query parameters
All requests useagent_id 565 (Kalshi Markets). Set filters inside params in the playground — all values must be strings.
| Parameter | Type | Description |
|---|---|---|
ticker | String | Market ticker (exact match). |
event_ticker | String | Event ticker. |
title | String | Market title search text. |
status | String | Market status (for example, active or finalized). |
close_time_min | String | Close time at or after this Unix timestamp in seconds. |
close_time_max | String | Close time at or before this Unix timestamp in seconds. |
Example Request
curl --request POST \
--url https://narrative.agent.heisenberg.so/api/v2/semantic/retrieve/parameterized \
--header 'Authorization: Bearer YOUR_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"agent_id": 565,
"params": {
"ticker": "KXSOL15M-26MAR180800-00",
"event_ticker": "KXSOL15M-26MAR180800",
"title": "SOL price",
"status": "finalized",
"close_time_min": "1773589812",
"close_time_max": "1774021812"
},
"pagination": {
"limit": 10,
"offset": 0
},
"formatter_config": {
"format_type": "raw"
}
}'
import requests
response = requests.post(
"https://narrative.agent.heisenberg.so/api/v2/semantic/retrieve/parameterized",
headers={"Authorization": "Bearer YOUR_TOKEN"},
json={
"agent_id": 565,
"params": {
"ticker": "KXSOL15M-26MAR180800-00",
"event_ticker": "KXSOL15M-26MAR180800",
"title": "SOL price",
"status": "finalized",
"close_time_min": "1773589812",
"close_time_max": "1774021812"
},
"pagination": {
"limit": 10,
"offset": 0
},
"formatter_config": {
"format_type": "raw"
}
}
)
print(response.json())
const response = await fetch("https://narrative.agent.heisenberg.so/api/v2/semantic/retrieve/parameterized", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"agent_id": 565,
"params": {
"ticker": "KXSOL15M-26MAR180800-00",
"event_ticker": "KXSOL15M-26MAR180800",
"title": "SOL price",
"status": "finalized",
"close_time_min": "1773589812",
"close_time_max": "1774021812"
},
"pagination": {
"limit": 10,
"offset": 0
},
"formatter_config": {
"format_type": "raw"
}
})
});
const data = await response.json();
Example Response
{
"timestamp": "",
"params": {
"close_time_max": "1774021812",
"close_time_min": "1773589812",
"event_ticker": "KXSOL15M-26MAR180800",
"status": "finalized",
"ticker": "KXSOL15M-26MAR180800-00",
"title": "SOL price"
},
"pagination": {
"limit": 10,
"offset": 0,
"has_more": false
},
"data": {
"results": [
{
"close_time": "2026-03-18T12:00:00Z",
"created_time": "2026-03-18T00:01:21.613032Z",
"event_ticker": "KXSOL15M-26MAR180800",
"expiration_time": "2026-03-25T12:00:00Z",
"last_price": 0.8,
"open_time": "2026-03-18T11:45:00Z",
"result": "no",
"status": "finalized",
"ticker": "KXSOL15M-26MAR180800-00",
"title": "SOL price up in next 15 mins?",
"volume": 4422,
"volume_24h": 4422
}
]
}
}
Response fields
| Field | Type | Description |
|---|---|---|
close_time | String (ISO 8601) | Timestamp when the market was closed to trading |
created_time | String (ISO 8601) | Timestamp when the market was created |
event_ticker | String | Event ticker |
expiration_time | String (ISO 8601) | Timestamp when the market expires and is no longer valid |
last_price | Integer | Last traded price of the market |
open_time | String (ISO 8601) | Timestamp when the market opened for trading |
status | String | Current market status (for example, active, finalized) |
ticker | String | Ticker for this specific market |
title | String | Market question describing the event and outcome being traded |
volume | Integer | Total trading volume for the market |
volume_24h | Integer | Trading volume in the last 24 hours |
result | String | Final result (outcome) of this market |
Authorizations
Your Falcon API key from the dashboard
Body
application/json
Filter parameters. All values must be strings.
Hide child attributes
Hide child attributes
Market ticker (exact match).
Event ticker.
Market title search text.
Market status (for example, active or finalized).
Available options:
active, finalized Close time at or after this Unix timestamp in seconds, inclusive.
Close time at or before this Unix timestamp in seconds, inclusive.
Kalshi Markets agent ID.
Available options:
565 Response
Success